Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1373709

Summary: Documentation: working example of listing out container/pod usage information
Product: Red Hat CloudForms Management Engine Reporter: Mike Barrett <mbarrett>
Component: APIAssignee: Gregg Tanzillo <gtanzill>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Dave Johnson <dajohnso>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 5.6.0CC: azellner, bazulay, cpelland, dron, fsimonce, gtanzill, jhardy, ltsai, mbarrett, mdahlgre, obarenbo
Target Milestone: GAKeywords: FutureFeature
Target Release: cfme-futureFlags: bazulay: needinfo? (gtanzill)
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1354029
: 1373712 (view as bug list) Environment:
Last Closed: 2017-11-08 17:40:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1354029, 1374377    
Bug Blocks: 1373712, 1373714, 1373715, 1373717, 1373718    

Comment 3 Mike Barrett 2016-09-15 21:37:52 UTC
We have been successful to pull the projects associated to a provider (https://{cloudform-domain}/api/providers/{provider_ems_id}?attributes=container_projects); I am currently at not sure how to progress any further to get additional information regarding the project or the labels/tags associated with it.
 
Sample results:
{
        "href" : "https://XXXXX.uhc.com/api/providers/20000000000001",
        "id" : 20000000000001,
        "name" : "ELR Core",
        "created_on" : "2016-07-05T18:54:40Z",
        "updated_on" : "2016-09-15T13:48:34Z",
        "guid" : "ee02a9f4-42e1-11e6-a3e3-00505699174f",
        "zone_id" : 20000000000001,
        "type" : "ManageIQ::Providers::OpenshiftEnterprise::ContainerManager",
        "last_refresh_date" : "2016-09-15T13:48:34Z",
        "tenant_id" : 20000000000001,
        "container_projects" : [{
                        "id" : 20000000000001,
                        "ems_ref" : "119a9419-3330-11e6-b734-005056a46128",
                        "name" : "16-npatel28-dev",
                        "ems_created_on" : "2016-06-15T19:33:42Z",
                        "resource_version" : "15340275",
                        "display_name" : "16-npatel28-dev",
                        "ems_id" : 20000000000001,
                        "created_on" : "2016-07-05T18:55:26Z"
                }, {
                        "id" : 20000000000002,
                        "ems_ref" : "ef51c82d-332f-11e6-b734-005056a46128",
                        "name" : "16-npatel28-tst",
                        "ems_created_on" : "2016-06-15T19:32:45Z",
                        "resource_version" : "15339819",
                        "display_name" : "16-npatel28-tst",
                        "ems_id" : 20000000000001,
                        "created_on" : "2016-07-05T18:55:26Z"
                }, {
                …
                }
        ],
        "actions" : [{
…
                }
        ]
}
 
Please let me know if there is any additional URI parameters or other API calls that I can invoke access a projects tags/labels

Comment 4 Tsai Li Ming 2017-06-28 16:02:23 UTC
What about resource quota / limit range? Can we add that?